Bug 245830 - [www/nginx-devel]: add quiet for startup scripts
Summary: [www/nginx-devel]: add quiet for startup scripts
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jochen Neumeister
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-22 17:18 UTC by Dmitry Morozovsky
Modified: 2020-04-24 08:47 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (osa)


Attachments
patch for rc.d script (1.20 KB, patch)
2020-04-22 17:18 UTC, Dmitry Morozovsky
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Morozovsky freebsd_committer 2020-04-22 17:18:02 UTC
Created attachment 213701 [details]
patch for rc.d script

sometimes it is preferable to reload nginx regularly, i.e. from cron

adding ability to supress output in non-error case is useful then

patch attached
Comment 1 commit-hook freebsd_committer 2020-04-22 22:09:44 UTC
A commit references this bug:

Author: osa
Date: Wed Apr 22 22:09:13 UTC 2020
New revision: 532602
URL: https://svnweb.freebsd.org/changeset/ports/532602

Log:
  Add the knob for the quiet startup.

  Bump PORTREVISION.

  PR:		245830
  Submitted by:	marck

Changes:
  head/www/nginx-devel/Makefile
  head/www/nginx-devel/files/nginx.in
Comment 2 Sergey A. Osokin freebsd_committer 2020-04-22 22:13:45 UTC
Committed with a small modification, thanks!
Comment 3 Dmitry Morozovsky freebsd_committer 2020-04-23 12:30:13 UTC
(In reply to Sergey A. Osokin from comment #2)

could you please add this feature to [www/nginx] too?

Thanks!
Comment 4 Sergey A. Osokin freebsd_committer 2020-04-23 13:37:47 UTC
Jochen,

could you please take care of it.

Thanks.
Comment 5 commit-hook freebsd_committer 2020-04-24 08:46:22 UTC
A commit references this bug:

Author: joneum
Date: Fri Apr 24 08:45:47 UTC 2020
New revision: 532746
URL: https://svnweb.freebsd.org/changeset/ports/532746

Log:
  Add the knob for the quiet startup. [1]
  Update 3rd party Modul njs
  Update Portscout

  PR:		245830 [1]
  Sponsored by:	Netzkommune GmbH

Changes:
  head/www/nginx/Makefile
  head/www/nginx/Makefile.extmod
  head/www/nginx/distinfo
  head/www/nginx/files/nginx.in
Comment 6 Jochen Neumeister freebsd_committer 2020-04-24 08:47:18 UTC
(In reply to Sergey A. Osokin from comment #4)

Thx for the PR, Osa, it's landed :-)